import { select, json, geoPath, geoNaturalEarth1} from 'd3';//importing the json libraries
import {feature} from 'topojson';//importing the topojson file 

const svg = select('svg');// for svg image

const width = +svg.attr('width');// width of the svg image
const height = +svg.attr('height');// hight of the svg image

const projection = geoNaturalEarth1();//calling thr geoNaturalEarth function
const pathGenerator = geoPath().projection(projection);

svg.append('path')//for the path for the world map
		.attr('class', 'sphere')// for the shape of the map
		.attr('d', pathGenerator({type: 'Sphere'}));//for the attribute sphere
//below is the link for the json data with country names and the coordinates for the world map
json('https://gist.githubusercontent.com/harika-1929/cb9c23a842c1128836d27695d5717e73/raw/440f6769731fa2ac78469947fcc4e0c5b0c64a73/ice8.json')
		.then(data => {//for displaying the countries
  			const countries = feature(data, data.objects.countries);
  // below lines are used for printing the world map with its respective boundries
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









